/*
   Sample of a commandPrompt function.  This commandPrompt replaces the
   standard ">" prompt with a more long-winded prompt for the first few
   turns, then reverts to the normal prompt.  Note that the normal prompt
   is always displayed after one of the parser questions, since the extra
   preface text wouldn't make a lot of sense in those cases.
*/

commandPrompt: function(type)
{
    if (type <> 0 and type <> 1)
    {
	"\b>";
	return;
    }

    "\b";
    if (global.prompt_count = nil) global.prompt_count := 0;
    global.prompt_count++;
    if (global.prompt_count < 5)
	"What do you, the player, want to do now?\b";
    else if (global.prompt_count = 5)
	"Aren't you getting tired of these really long prompts?
	I know I am!  Then why are we bothering with this in the first
	place?  Anyway, rom now on, you'll just see the caret, >,
	when the game is ready for your next command.\b";
    ">";
}

